
var bSwitchViews = false;
				
var bStartTableView = false
				
var currModelId = "ID42668";
							
var currModelVersion = "";
						
var currModelName = "Implementation";
			
var currModelType = "IT Service Process";
			 
var currMailAddress = "";
			
var bModInfoWindow = false;
				
var bPrintOne = false;				
				
var bPrintTwo = false;
				
var modInfo = new Array();
		
var overviewimage = new Image();
			
var modelimage68 = new Image();
			
var modelimage45 = new Image();
			
var modelimage90 = new Image();
			
if (!parent.header)
{
	var strPath = top.window.location.href;
	top.location.href= strPath.substring(0, strPath.lastIndexOf("/") + 1) + "../index.html?id=" + currModelId;
}
else
{
	var z = top.header.iZoom;
	checkLoadTableView();
}

function checkLoadTableView()
{
  if (bStartTableView && !parent.header.bModelLoaded)
  {
    top.model.location.href = "../" + currModelId + "/" + currModelId + "t.html"
  }
  else
  {
		overviewimage.src = "../overview/ID42668.png";
			
		if (z == 68) { modelimage68.src = "../images/ado103.png"; }
		else { window.setTimeout("eval(\"modelimage68.src = '../images/ado103.png'\");", 1000); }
			
		if (z == 45) { modelimage45.src = "../images/ado104.png"; }
		else { window.setTimeout("eval(\"modelimage45.src = '../images/ado104.png'\");", 1000); }
			
		if (z == 90) { modelimage90.src = "../images/ado105.png"; }
		else { window.setTimeout("eval(\"modelimage90.src = '../images/ado105.png'\");", 1000); }
			
	}
	parent.header.bModelLoaded = true;
}

function actualizeImageArea()
{
	prepareImageMap();
		
	createImageArea(7.5, 5.8, 9.5, 6.7, "ID63892", "ID42668", "ID63892", "", false);
					
	createImageArea(17, 10.3, 19, 11.2, "ID63887", "ID42668", "ID63887", "", false);
					
	createImageArea(0.19999999999999996, 8.299999999999999, 2.8, 11.08, "ID63882", "ID42668", "ID63882", "", false);
					
	createImageArea(19.74, 8.299999999999999, 22.26, 11.08, "ID63877", "ID42668", "ID63877", "", false);
					
	createImageArea(13.5, 7.97, 17.66, 9.69, "ID63868", "ID42668", "ID63868", "", false);
					
	createImageArea(5.5, 7.97, 9.82, 9.69, "ID63864", "ID42668", "ID63864", "", false);
					
	createImageArea(20.03, 2.8, 21.97, 6.44, "ID63600", "ID42668", "ID63600", "", false);
					
	createImageArea(16, 2.47, 19.340000000000003, 4.19, "ID63596", "ID42668", "ID63596", "", false);
					
	createImageArea(57.3, 14.3, 58.7, 15.7, "ID42730", "ID42668", "ID42730", "", false);
					
	createImageArea(51, 10.795, 53, 13.145000000000001, "ID42723", "ID42668", "ID42723", "", false);
					
	createImageArea(43.11, 10.719999999999999, 48.25, 13.52, "ID42719", "ID42668", "ID42719", "", false);
					
	createImageArea(54.199999999999996, 14.3, 54.9, 15.7, "ID42715", "ID42668", "ID42715", "", false);
					
	createImageArea(38.6, 12.3, 39.300000000000004, 13.7, "ID42706", "ID42668", "ID42706", "", false);
					
	createImageArea(43.37, 15.8, 45.63, 18.580000000000002, "ID42700", "ID42668", "ID42700", "", false);
					
	createImageArea(31.61, 12.219999999999999, 36.75, 15.02, "ID42694", "ID42668", "ID42694", "", false);
					
	createImageArea(29.37, 8.299999999999999, 31.63, 11.08, "ID42690", "ID42668", "ID42690", "", false);
					
	createImageArea(28.099999999999998, 21.8, 28.8, 23.2, "ID42686", "ID42668", "ID42686", "", false);
					
	createImageArea(21.61, 21.720000000000002, 26.17, 24.52, "ID42682", "ID42668", "ID42682", "", false);
					
	createImageArea(16.61, 12.219999999999999, 21.75, 15.02, "ID42678", "ID42668", "ID42678", "", false);
					
	createImageArea(9.110000000000001, 2.72, 13.17, 5.52, "ID42674", "ID42668", "ID42674", "", false);
					
	createImageArea(4.8, 2.8, 6.2, 4.72, "ID42671", "ID42668", "ID42671", "", false);
					
	imageMapsReady();
}
			
			ID42671D='';				
				ID42674D='<span class=\"mov_desc\">The goal if this activity is to ensure that the implementation model is organized in such a way as<br />to make the development of components and the build process as conflict-free as possible.</span>';				
				ID42678D='<span class=\"mov_desc\">Plan which subsystems should be implemented, and the order in which the subsystems should be integrated in the current iteration.</span>';				
				ID42682D='<span class=\"mov_desc\">The implementers implement the classes and objects in the design model write source code, adapt existing  components, compile, link, and execute. If the implementers discover defects in the design, they submit rework feedback on the design.<br />The implementers also fix code defects and perform unit tests to verify the changes. Then the code is reviewed to ensure quality and that the programming guidelines are followed.</span>';				
				ID42686D='';				
				ID42690D='';				
				ID42694D='<span class=\"mov_desc\">If several implementers work (as a team) in the same implementation subsystem,<br />one of the implementers is responsible for integrating the new and changed components from the individual implementers into a new version of the implementation subsystem. The integration results in a series of builds in a team integration area. Each build is then integration tested by an integration tester. The latest version of the subsystem is released for system integration.</span>';				
				ID42700D='';				
				ID42706D='';				
				ID42715D='';				
				ID42719D='<span class=\"mov_desc\">Following the Integration Build Plan the System Integrator integrates the system, by adding the released subsystems into an integration area, and creating builds. Each build is then integration tested by an integration tester. After the last increment, the build can be system tested by a system tester.</span>';				
				ID42723D='';				
				ID42730D='';				
				ID63600D='';				
				ID63877D='';				
				ID63882D='';				
				ID63596D='';				
				ID63864D='';				
				ID63868D='';				
				ID63887D='';				
				ID63892D='';				
				
			
function readCM()
{
			ID42671CM = new instCM("Start");
ID42674CM = new instCM("Structure implementation model");
ID42674CM.addAttribute("Responsible", "obj");
ID42674CM.addLink("Responsible", "javascript:openWindow(\"ID42867\", \"ID42901\");", "Architect", "small_role.png");
ID42674CM.addAttribute("Accountable", "obj");
ID42674CM.addLink("Accountable", "javascript:openWindow(\"ID42867\", \"ID42901\");", "Architect", "small_role.png");
ID42674CM.addAttribute("Input data", "obj");
ID42674CM.addLink("Input data", "javascript:openWindow(\"ID63109\", \"ID63898\");", "Implementation model req.", "small_date.png");
ID42674CM.addAttribute("Output data", "obj");
ID42674CM.addLink("Output data", "javascript:openWindow(\"ID63109\", \"ID63604\");", "Implementation model", "small_date.png");
ID42678CM = new instCM("Plan integration");
ID42678CM.addAttribute("Responsible", "obj");
ID42678CM.addLink("Responsible", "javascript:openWindow(\"ID42867\", \"ID42923\");", "System Integrator", "small_role.png");
ID42678CM.addAttribute("Accountable", "obj");
ID42678CM.addLink("Accountable", "javascript:openWindow(\"ID42867\", \"ID42923\");", "System Integrator", "small_role.png");
ID42678CM.addAttribute("Consulted", "obj");
ID42678CM.addLink("Consulted", "javascript:openWindow(\"ID42867\", \"ID42901\");", "Architect", "small_role.png");
ID42678CM.addAttribute("Input data", "obj");
ID42678CM.addLink("Input data", "javascript:openWindow(\"ID63109\", \"ID63902\");", "Integration plan req.", "small_date.png");
ID42682CM = new instCM("Implementation of components");
ID42682CM.addAttribute("Responsible", "obj");
ID42682CM.addLink("Responsible", "javascript:openWindow(\"ID42867\", \"ID42920\");", "Implementer", "small_role.png");
ID42682CM.addAttribute("Accountable", "obj");
ID42682CM.addLink("Accountable", "javascript:openWindow(\"ID42867\", \"ID42920\");", "Implementer", "small_role.png");
ID42682CM.addAttribute("Consulted", "obj");
ID42682CM.addLink("Consulted", "javascript:openWindow(\"ID42867\", \"ID42901\");", "Architect", "small_role.png");
ID42686CM = new instCM("P1");
ID42690CM = new instCM("More components to implement?");
ID42694CM = new instCM("Subsystem integration");
ID42694CM.addAttribute("Responsible", "obj");
ID42694CM.addLink("Responsible", "javascript:openWindow(\"ID42867\", \"ID42923\");", "System Integrator", "small_role.png");
ID42694CM.addAttribute("Accountable", "obj");
ID42694CM.addLink("Accountable", "javascript:openWindow(\"ID42867\", \"ID42923\");", "System Integrator", "small_role.png");
ID42700CM = new instCM("More subsystems to integrate?");
ID42706CM = new instCM("P2");
ID42715CM = new instCM("M1");
ID42719CM = new instCM("Integration of system");
ID42719CM.addAttribute("Responsible", "obj");
ID42719CM.addLink("Responsible", "javascript:openWindow(\"ID42867\", \"ID42923\");", "System Integrator", "small_role.png");
ID42719CM.addAttribute("Accountable", "obj");
ID42719CM.addLink("Accountable", "javascript:openWindow(\"ID42867\", \"ID42923\");", "System Integrator", "small_role.png");
ID42723CM = new instCM("Integration complete?");
ID42730CM = new instCM("End Implementation");
ID42730CM.addAttribute("Following Process", "mod");
ID42730CM.addLink("Following Process", "../ID42735/ID42735.html", "Test", "mt_itsp.gif");
ID42994CM = new instCM("Architect");
ID42994CM.addAttribute("Reference", "obj");
ID42994CM.addLink("Reference", "javascript:openWindow(\"ID42867\", \"ID42901\");", "Architect", "small_role.png");
ID42997CM = new instCM("System Integrator");
ID42997CM.addAttribute("Reference", "obj");
ID42997CM.addLink("Reference", "javascript:openWindow(\"ID42867\", \"ID42923\");", "System Integrator", "small_role.png");
ID43000CM = new instCM("Implementer");
ID43000CM.addAttribute("Reference", "obj");
ID43000CM.addLink("Reference", "javascript:openWindow(\"ID42867\", \"ID42920\");", "Implementer", "small_role.png");
ID63600CM = new instCM("Imp - RM DoSaF I1");
ID63600CM.addAttribute("Referenced subprocess", "mod");
ID63600CM.addLink("Referenced subprocess", "../ID62188/ID62188.html", "Definition of Scope and Framework - Application Development", "mt_itsp.gif");
ID63600CM.addAttribute("Referenced Interface Process", "obj");
ID63600CM.addLink("Referenced Interface Process", "javascript:openWindow(\"ID62188\", \"ID63614\");", "DoSaF - App Dev Imp I1", "small_ipro.png");
ID63877CM = new instCM("Imp - RM RT I1");
ID63877CM.addAttribute("Referenced subprocess", "mod");
ID63877CM.addLink("Referenced subprocess", "../ID62307/ID62307.html", "Risk Treatment - Application Development", "mt_itsp.gif");
ID63877CM.addAttribute("Referenced Interface Process", "obj");
ID63877CM.addLink("Referenced Interface Process", "javascript:openWindow(\"ID62307\", \"ID63923\");", "RT - App Dev Imp I1", "small_ipro.png");
ID63882CM = new instCM("Imp - RM RA I1");
ID63882CM.addAttribute("Referenced subprocess", "mod");
ID63882CM.addLink("Referenced subprocess", "../ID62390/ID62390.html", "Risk Acceptance - Application Development", "mt_itsp.gif");
ID63882CM.addAttribute("Referenced Interface Process", "obj");
ID63882CM.addLink("Referenced Interface Process", "javascript:openWindow(\"ID62390\", \"ID63918\");", "RA - App Dev Imp I1", "small_ipro.png");
ID63596CM = new instCM("Imp1");
ID63596CM.addAttribute("Data", "obj");
ID63596CM.addLink("Data", "javascript:openWindow(\"ID63109\", \"ID63604\");", "Implementation model", "small_date.png");
ID63864CM = new instCM("Imp2");
ID63864CM.addAttribute("Data", "obj");
ID63864CM.addLink("Data", "javascript:openWindow(\"ID17209\", \"ID17328\");", "D28 Risk treatment decision", "small_date.png");
ID63868CM = new instCM("Imp3");
ID63868CM.addAttribute("Data", "obj");
ID63868CM.addLink("Data", "javascript:openWindow(\"ID17209\", \"ID17358\");", "D77 Approved Activity Lists", "small_date.png");
ID63887CM = new instCM("Plan integration DP");
ID63892CM = new instCM("Structure implementation model DP");
ID42677CM = new instCM("");
ID42681CM = new instCM("");
ID42685CM = new instCM("");
ID42689CM = new instCM("");
ID42697CM = new instCM("");
ID42698CM = new instCM("");
ID42699CM = new instCM("");
ID42709CM = new instCM("");
ID42713CM = new instCM("");
ID42714CM = new instCM("");
ID42718CM = new instCM("");
ID42722CM = new instCM("");
ID42726CM = new instCM("");
ID42727CM = new instCM("");
ID42728CM = new instCM("");
ID42729CM = new instCM("");
ID42733CM = new instCM("");
ID43011CM = new instCM("");
ID43012CM = new instCM("");
ID43015CM = new instCM("");
ID43016CM = new instCM("");
ID43017CM = new instCM("");
ID43018CM = new instCM("");
ID43019CM = new instCM("");
ID43020CM = new instCM("");
ID43021CM = new instCM("");
ID43022CM = new instCM("");
ID43023CM = new instCM("");
ID43024CM = new instCM("");
ID43025CM = new instCM("");
ID63599CM = new instCM("");
ID63603CM = new instCM("");
ID63608CM = new instCM("");
ID63609CM = new instCM("");
ID63867CM = new instCM("");
ID63871CM = new instCM("");
ID63873CM = new instCM("");
ID63874CM = new instCM("");
ID63875CM = new instCM("");
ID63876CM = new instCM("");
ID63880CM = new instCM("");
ID63881CM = new instCM("");
ID63885CM = new instCM("");
ID63886CM = new instCM("");
ID63890CM = new instCM("");
ID63891CM = new instCM("");
ID63895CM = new instCM("");
ID63897CM = new instCM("");
}
		